[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.WriteStream

Writes the image content to the specified stream instance.

## Declaration

Source position: graphics.pp line 1301

`protected procedure TRasterImage.WriteStream(`
`AStream: TMemoryStream`
`); virtual; abstract;`

## Arguments

`AStream` |  | Stream where image data is written in the method.

## Description

WriteStream is an abstract virtual method, and must be implemented in a descendant class to write data for a specific image format.